# Configuration Steps

The first step is, that you need to change the extension key. You can do it by simply changing the folder name to the new key.
Example: sg_jobs => sg_timeline

Now you need to replace the following occourences:

- sg_jobs => sg_timeline
- tx_sgjobs => tx_sgtimeline
- tx-sgjobs => tx-sgtimeline
- SgJobs => SgTimeline

After you have done this, you need to adapt the data in the ext_emconf.php and the composer.json.

## Own Tables

Search in your project for the "@todo own_tables:" comments and solve them.

This files are used:
- Classes/Domain/Model/Base.php
- Classes/Domain/Repository/BaseRepository.php
- Configuration/TCA/tx_sgjobs_domain_model_base.php
- Resources/Private/Language/de.locallang_db.xlf
- Resources/Private/Language/locallang_db.xlf
- Resources/Public/Icons/tx_sgjobs_domain_model_base.png
- ext_tables.php
- ext_tables.sql

## Frontend Plugin

Search in your project for the "@todo frontend_plugin:" comments and solve them.

This files are used:
- Classes/Controller/ListController.php
- Resources/Private/Language/de.locallang.xlf
- Resources/Private/Language/de.locallang_backend.xlf
- Resources/Private/Language/locallang.xlf
- Resources/Private/Language/locallang_backend.xlf
- Resources/Private/Layouts/Default.html
- Resources/Private/Partials/ListEntry.html
- Resources/Private/Templates/List/Detail.html
- Resources/Private/Templates/List/ListAll.html
- ext_localconf.php
- ext_tables.php

## Backend Module

Search in your project for the "@todo backend_module:" comments and solve them.

This files are used:
- Classes/Controller/ModerationController.php
- Configuration/TypoScript/Backend/constants.txt
- Configuration/TypoScript/Backend/setup.txt
- Resources/Private/Backend/Layouts/Default.html
- Resources/Private/Backend/Partials/SomeStuff.html
- Resources/Private/Backend/Templates/Moderation/List.html
- Resources/Private/Language/de.locallang.xlf
- Resources/Private/Language/de.locallang_backend.xlf
- Resources/Private/Language/locallang.xlf
- Resources/Private/Language/locallang_backend.xlf
- Resources/Public/Icons/moderation-module-icon.png
- ext_localconf.php
- ext_tables.sql

## Composer Autoloader
- Entry in composer json of Project root: "sgalinski/sg-timeline": "dev-master"

## Last steps

- Add Typoscript in  Project Theme Aggregate
- Check if there are any "@todo" entries left in your extension, if yes solve them.
- Remove the content from this README and insert your own stuff, like installation or configuration instructions.

